; *************************************************************************
; *           Copyright (C) 2003 by Motorola.  All rights reserved.       *
; *************************************************************************
; *                                                                       *
; *   Motorola reserves the right to make changes without further notice  *
; *   to any product herein to improve reliability, function or design.   *
; *   Motorola does not assume any liability arising out of the           *
; *   application or use of any product, circuit, or software described   *
; *   herein; neither does it convey any license under its patent rights  *
; *   nor the rights of others.                                           *
; *                                                                       *
; *   Motorola products are not designed, intended, or authorized for     *
; *   use as components in systems intended for surgical implant into     *
; *   the body, or other applications intended to support life, or for    *
; *   any other application in which the failure of the Motorola product  *
; *   could create a situation where personal injury or death may occur.  *
; *                                                                       *
; *   Should Buyer purchase or use Motorola products for any such         *
; *   unintended or unauthorized application, Buyer shall indemnify and   *
; *   hold Motorola and its officers, employees, subsidiaries,            *
; *   affiliates, and distributors harmless against all claims costs,     *
; *   damages, and expenses, and reasonable attorney fees arising out     *
; *   of, directly or indirectly, any claim of personal injury or death   *
; *   associated with such unintended or unauthorized use, even if such   *
; *   claim alleges that Motorola was negligent regarding the design      *
; *   or manufacture of the part.                                         *
; *                                                                       *
; *   Motorola and the Motorola logo* are registered trademarks of        *
; *   Motorola Ltd.                                                       *
; *                                                                       *
; *************************************************************************

; *************************************************************************
; *                                                                       *
; *                 Standard Software SGF		 						  *
; *                    Driver for HC908			 						  *
; *                                                                       *
; * FILE NAME     :  BlankCheck.asm                               		  *
; * VERSION:      :  1.0.0                                                *
; * DATE          :  Apr 07, 2003                                         *
; * AUTHOR        :  Flash Team, GSG China                                *
; * EMAIL		  :  flash@sc.mcel.mot.com								  *
; *************************************************************************

; ******************************* CHANGES *********************************
; 1.0.0   2003.04.07  Cloud Li    Initial Version
; *************************************************************************

	XDEF BlankCheck
	INCLUDE "Parameters.inc"

BLANKCHECKCODE: SECTION

BlankCheck:

		LDHX  STARTADDR					; load start address to HX
        LDA   #$FF						; blank value is 0xFF
Check:
        CPHX  ENDADDR					; check if start > end
        BHI   Done						; if true, end of checking

		CBEQ  ,X+,Check					; if equal, then do next byte
										; and update address at the same time

    	STHX  STARTADDR					; save failed address
        LDA   #SGF_ERROR_NOT_BLANK		; load failed code to A and break
        BRA   Failed
Done:
        CLRA							; set return code with SGF_OK
Failed:
        BRCLR 0,MODESEL,BCheckReturn	; if bit0 of MODESEL is 0 then normal return
        SWI          	 				; else execute "swi" to enter monitor mode.

BCheckReturn:
		RTS								; return to the calling function
