/*************************************************************************
 *                                                                       *
 *                CodeWarrior For HC08 Source File                       *
 *                                                                       *
 * FILE NAME     :  MC68HC908AP64.C                                      *
 * DATE          :  February 20 2003                                     *
 *                                                                       *
 * AUTHOR        :  Douwa yu                                             *
 *                                                                       *
 *************************************************************************/

/******************************* CHANGES *********************************
 1.00   2003.02.20      Douwa yu        Initial Version
 *************************************************************************/
 
#include "MC68HC908AP64.H"

volatile PTASTR _PTA;                          /* Port A Data Register */
volatile PTBSTR _PTB;                          /* Port B Data Register */
volatile PTCSTR _PTC;                          /* Port C Data Register */
volatile PTDSTR _PTD;                          /* Port D Data Register */
volatile DDRASTR _DDRA;                        /* Data Direction Register A */
volatile DDRBSTR _DDRB;                        /* Data Direction Register B */
volatile DDRCSTR _DDRC;                        /* Data Direction Register C */
volatile DDRDSTR _DDRD;                        /* Data Direction Register D */
volatile LEDASTR _LEDA;                        /* Port-A LED Control Register */
volatile SPCRSTR _SPCR;                        /* SPI Control Register */
volatile SPSCRSTR _SPSCR;                      /* SPI Status and Control Register */
volatile SPDRSTR _SPDR;                        /* SPI Data Register */
volatile SCC1STR _SCC1;                        /* SCI1 Control Register 1 */
volatile SCC2STR _SCC2;                        /* SCI1 Control Register 2 */
volatile SCC3STR _SCC3;                        /* SCI1 Control Register 3 */
volatile SCS1STR _SCS1;                        /* SCI1 Status Register 1 */
volatile SCS2STR _SCS2;                        /* SCI1 Status Register 2 */
volatile SCDRSTR _SCDR;                        /* SCI1 Data Register */
volatile SCBRSTR _SCBR;                        /* SCI1 Baud Rate Register */
volatile KBSCRSTR _KBSCR;                      /* PORT D Keyboard Status and Control Register */
volatile KBIERSTR _KBIER;                      /* PORT D Keyboard Interrrupt Enable Register */
volatile INTSCR2STR _INTSCR2;                  /* IRQ2 Status and Control Register */
volatile CONFIG2STR _CONFIG2;                  /* Configuration Register 2 */
volatile INTSCR1STR _INTSCR1;                  /* IRQ1 Status and Control Register */
volatile CONFIG1STR _CONFIG1;                  /* Configuration Register 1 */
volatile T1SCSTR _T1SC;                        /* Timer 1 Status and Control Register */
volatile T1CNTHSTR _T1CNTH;                    /* Timer 1 Counter Register High */
volatile T1CNTLSTR _T1CNTL;                    /* Timer 1 Counter Register Low */
volatile T1MODHSTR _T1MODH;                    /* Timer 1 Counter Modulo Register High */
volatile T1MODLSTR _T1MODL;                    /* Timer 1 Counter Modulo Register Low */
volatile T1SC0STR _T1SC0;                      /* Timer 1 Channel 0 Status and Control Register */
volatile T1CH0HSTR _T1CH0H;                    /* Timer 1 Channel 0 Register High */
volatile T1CH0LSTR _T1CH0L;                    /* Timer 1 Channel 0 Register Low */
volatile T1SC1STR _T1SC1;                      /* Timer 1 Channel 1 Status and Control Register */
volatile T1CH1HSTR _T1CH1H;                    /* Timer 1 Channel 1 Register High */
volatile T1CH1LSTR _T1CH1L;                    /* Timer 1 Channel 1 Register Low */
volatile T2SCSTR _T2SC;                        /* Timer 2 Status and Control Register */
volatile T2CNTHSTR _T2CNTH;                    /* Timer 2 Counter Register High */
volatile T2CNTLSTR _T2CNTL;                    /* Timer 2 Counter Register Low */
volatile T2MODHSTR _T2MODH;                    /* Timer 2 Counter Modulo Register High */
volatile T2MODLSTR _T2MODL;                    /* Timer 2 Counter Modulo Register Low */
volatile T2SC0STR _T2SC0;                      /* Timer 2 Channel 0 Status and Control Register */
volatile T2CH0HSTR _T2CH0H;                    /* Timer 2 Channel 0 Register High */
volatile T2CH0LSTR _T2CH0L;                    /* Timer 2 Channel 0 Register Low */
volatile T2SC1STR _T2SC1;                      /* Timer 2 Channel 1 Status and Control Register */
volatile T2CH1HSTR _T2CH1H;                    /* Timer 2 Channel 1 Register High */
volatile T2CH1LSTR _T2CH1L;                    /* Timer 2 Channel 1 Register Low */
volatile PCTLSTR _PCTL;                        /* PLL Control Register */
volatile PBWCSTR _PBWC;                        /* PLL Bandwith Control Register */
volatile PMSHSTR _PMSH;                        /* PLL Multiplier Select High Register */
volatile PMSLSTR _PMSL;                        /* PLL Multiplier Select Low Register */
volatile PMRSSTR _PMRS;                        /* PLL VCO Select Range Register */
volatile PMDSSTR _PMDS;                        /* PLL Reference Divider Select Register */
volatile IRSCI_SCC1STR _IRSCI_SCC1;            /* IRSCI Control Register 1 */                                                               
volatile IRSCI_SCC2STR _IRSCI_SCC2;            /* IRSCI Control Register 2 */                                                               
volatile IRSCI_SCC3STR _IRSCI_SCC3;            /* IRSCI Control Register 3 */                                                               
volatile IRSCI_SCS1STR _IRSCI_SCS1;            /* IRSCI Status Register 1 */                                                                
volatile IRSCI_SCS2STR _IRSCI_SCS2;            /* IRSCI Status Register 2 */                                                                
volatile IRSCI_SCDRSTR _IRSCI_SCDR;            /* IRSCI Data Register */                                                                    
volatile IRSCI_SCBRSTR _IRSCI_SCBR;            /* IRSCI Baud Rate Register */                                                  
volatile IRSCI_SCIRCRSTR _IRSCI_SCIRCR;        /* IRSCI Infra-ref Control Register */
volatile MMADRSTR _MMADR;                      /* MMIIC Address Register */
volatile MMCR1STR _MMCR1;                      /* MMIIC Control Register 1 */
volatile MMCR2STR _MMCR2;                      /* MMIIC Control Register 2 */
volatile MMSRSTR _MMSR;                        /* MMIIC Status Register */
volatile MMDTRSTR _MMDTR;                      /* MMIIC Data Transmit Register */
volatile MMDRRSTR _MMDRR;                      /* MMIIC Data Recieve Register */
volatile MMCRDRSTR _MMCRDR;                    /* MMIIC CRC Data Register */
volatile MMFDRSTR _MMFDR;                      /* MMIIC Frequency Divider Register */
volatile TBCRSTR _TBCR;                        /* Timebase Control Register */
volatile ADSCRSTR _ADSCR;                      /* ADC Status and Control Register */
volatile ADICLKSTR _ADICLK;                    /* ADC Clock Control Register */
volatile ADRH0STR _ADRH0;                      /* ADC Data Register High 0 */
volatile ADRL0STR _ADRL0;                      /* ADC Data Register Low 0 */
volatile ADRL1STR _ADRL1;                      /* ADC Data Register Low 1 */
volatile ADRL2STR _ADRL2;                      /* ADC Data Register Low 2 */
volatile ADRL3STR _ADRL3;                      /* ADC Data Register Low 3 */
volatile ADASCRSTR _ADASCR;                    /* ADC Scan Control Register */
volatile SBSRSTR _SBSR;                        /* SIM Break Status Register */
volatile SRSRSTR _SRSR;                        /* SIM Reset Status Register */
volatile SUBARSTR _SUBAR;                      /* SIM Upper Byte Address Register */
volatile SBFCRSTR _SBFCR;                      /* SIM Break Flag Control Register */
volatile INT1STR _INT1;                        /* Interrupt Status Register 1 */
volatile INT2STR _INT2;                        /* Interrupt Status Register 2 */
volatile INT3STR _INT3;                        /* Interrupt Status Register 3 */
volatile FLCRSTR _FLCR;                        /* FLASH Control Register */
volatile FLBPRSTR _FLBPR;                      /* FLASH Block Protect Register */
volatile BRKHSTR _BRKH;                        /* Break Address Register High */
volatile BRKLSTR _BRKL;                        /* Break Address Register Low */
volatile BRKSCRSTR _BRKSCR;                    /* Break Status and Control Register */
volatile LVISRSTR _LVISR;                      /* LVI Status Register */
volatile MORSTR _MOR;                          /* Mask Option Register */
volatile COPCTLSTR _COPCTL;                    /* COP Control Register */
volatile T1CNTSTR _T1CNT;                      /* Timer 1 Counter Register */
volatile T1CH0STR _T1CH0;                      /* Timer 1 Channel 0 Register */
volatile T1CH1STR _T1CH1;                      /* Timer 1 Channel 1 Register */
volatile T1MODSTR _T1MOD;                      /* Timer 1 Counter Modulo Register */
volatile T2CNTSTR _T2CNT;                      /* Timer 2 Counter Register */
volatile T2CH0STR _T2CH0;                      /* Timer 2 Channel Register */
volatile T2CH1STR _T2CH1;                      /* Timer 2 Channel Register */
volatile T2MODSTR _T2MOD;                      /* Timer 2 Counter Modulo Register */
volatile PMSSTR _PMS;                          /* PLL Multiplier Select Register */
volatile ADRSTR _ADR;                          /* ADC Data Register */
volatile BRKSTR _BRK;                          /* Break Address Register */
