/*************************************************************************
 *           Copyright (C) 2003 by Motorola.  All rights reserved.       *
 *************************************************************************
 *                                                                       *
 *   Motorola reserves the right to make changes without further notice  *
 *   to any product herein to improve reliability, function or design.   *
 *   Motorola does not assume any liability arising out of the           *
 *   application or use of any product, circuit, or software described   *
 *   herein; neither does it convey any license under its patent rights  *
 *   nor the rights of others.                                           *
 *                                                                       *
 *   Motorola products are not designed, intended, or authorized for     *
 *   use as components in systems intended for surgical implant into     *
 *   the body, or other applications intended to support life, or for    *
 *   any other application in which the failure of the Motorola product  *
 *   could create a situation where personal injury or death may occur.  *
 *                                                                       *
 *   Should Buyer purchase or use Motorola products for any such         *
 *   unintended or unauthorized application, Buyer shall indemnify and   *
 *   hold Motorola and its officers, employees, subsidiaries,            *
 *   affiliates, and distributors harmless against all claims costs,     *
 *   damages, and expenses, and reasonable attorney fees arising out     *
 *   of, directly or indirectly, any claim of personal injury or death   *
 *   associated with such unintended or unauthorized use, even if such   *
 *   claim alleges that Motorola was negligent regarding the design      *
 *   or manufacture of the part.                                         *
 *                                                                       *
 *   Motorola and the Motorola logo* are registered trademarks of        *
 *   Motorola Ltd.                                                       *
 *                                                                       *
 *************************************************************************

 *************************************************************************
 *                                                                       *
 *                 HC908 (SGF) Standard Software Driver                  *
 *                       Header File for C Demo                          *
 *                                                                       *
 * FILE NAME     :  nvm_clock.h                                          *
 * VERSION:      :  1.0.0                                                *
 * DATE          :  Nov. 28, 2003                                        *
 * AUTHOR        :  Flash Team                                           *
 * EMAIL         :  flash@sc.mcel.mot.com                                *
 *************************************************************************

 ******************************* CHANGES *********************************
 1.0   Nov. 28, 2003   Cloud Li          Initial Version
 ******************************** CHANGES ********************************/

#define BUS_CLOCK (2457600)

#ifdef BUS_CLOCK

#if (BUS_CLOCK > 8000000) || (BUS_CLOCK < 1000000)
 #error "Bus clock is out of range [1MHz ~ 8MHz]"
#else
 #define NVM_CLOCK_SCALAR ((BUS_CLOCK * 8) / 1000000)
#endif

#else

#error "Bus clock is not defined!"

#endif

#define SGF_OK 0x0
#define SGF_ERROR_CLOCK_SETTING 0x20
#define SGF_ERROR_NOT_BLANK 0x30
#define SGF_ERROR_VERIFY 0x40

#define DEMO_COMPLETED 0xFF
