/******************************************************************************
*
*       Copyright (C) 2004 Motorola, Inc.
*       All Rights Reserved
*
* Filename:     $RCSfile: main.c,v $
* Author:       $Author: r29541 $
* Locker:       $Locker: r29541 $
* State:        $State: Exp $
* Revision:     $Revision: 1.0 $
*
* Functions:    Romeo2 example, send msg with header
*
* History:      
*
*
* Description: This is a demo that transmits a message with incrementing data byte                                     
*               
*                       
*                                                                     
*
* Notes:      
*               
*
******************************************************************************/
#include <hidef.h>      /* for EnableInterrupts macro                        */
#include "MC9S08RG60.h" /* include peripheral declarations                   */
#include "Tango.h"

extern unsigned char tangoTransmitBuffer[];

void main(void) {
    unsigned int i;
    unsigned char count = 0;    /* Data byte sent in rf message                           */
    SOPT= 3;                    /* Disable watchdog, enable reset pin, enable debug pin   */
  
    PTAPE = 0x03;               /* Enable pullups for PA 0 -1                             */
    PTAD_PTAD7 = 1;
    PTDD_PTDD3 = 1;
    PTADD_PTADD7 = 1;         
    PTDDD_PTDDD3 = 1;           /* Initialise LEDS to off                                 */           
    
    EnableInterrupts;
    TangoInitialise();          /* Configures Tango driver using settings from Tango.H    */
    TangoEnable();              /* This enables the Tango ic and starts 2ms delay         */
                                /* (Tango ic needs 2ms to stabalise                       */

    while(TangoDriverStatus() == TANGO_IN_ENABLE_DELAY){} /*  Wait until end of 2ms delay */

    tangoTransmitBuffer[0] = 0x55;		                  /* Put message ID in tx buffer  */ 
    tangoTransmitBuffer[1] = 2;		                      /* Put data length in tx buffer */
    tangoTransmitBuffer[2] = 0x00;                        /* Set data to 0                */
    tangoTransmitBuffer[3] = 0x00;                        /* Set data to 0                */
    for (i = 0; i <= 10; i++)                             /* Send Preamble_ID 10 times    */
    {
        TangoSendPreamble_ID();
        while(TangoDriverStatus() != TANGO_READY ){}      /* Wait until message gone      */
    }
    TangoSendData();                                      /* Send data                    */
    while(TangoDriverStatus() != TANGO_READY ){}          /* Wait until message gone      */
    TangoDisable();

    /* Main loop - goes around this loop for each keypress */
    for (;;)
    {
        while ( (PTAD_PTAD0 == 1) && (PTAD_PTAD1 == 1)) {} /* Wait until a button pressed */

    	for (i = 0; i< 0xfff; i++) {}                      /* Debounce loop               */
        if ( PTAD_PTAD0 == 0)
        {
            PTAD_PTAD7 = 0;  
            tangoTransmitBuffer[2] = ++count;	           /* Put data byte in tx buffer  */
        }
        else
        {
            PTDD_PTDD3 = 0;
            tangoTransmitBuffer[2] = --count;	           /* Put data byte in tx buffer   */
        }
        TangoEnable();                  /* This enables the Tango ic and starts 2ms delay  */
                                        /* (Tango ic needs 2ms to stabalise)               */

        while(TangoDriverStatus() == TANGO_IN_ENABLE_DELAY){} /*Wait until end of 2ms delay*/

        for ( i = 0; i <= 10; i++)                            /* Send Preamble_ID 10 times */
        {
            TangoSendPreamble_ID();
            while(TangoDriverStatus() != TANGO_READY ){}      /* Wait until message gone   */
        }
        TangoSendData();                                      /* Send Data                 */
        while(TangoDriverStatus() != TANGO_READY ){}          /* Wait until message gone   */

        TangoDisable();
        while ( (PTAD_PTAD0 == 0) || (PTAD_PTAD1 == 0)) {} /* Wait until a button released */
    	for (i = 0; i< 0xfff; i++) {}                      /* Debounce loop                */

        PTAD_PTAD7 = PTDD_PTDD3 = 1;                        
    }
}
